namespace GxPress.Result.App.Note
{
    /// <summary>
    /// 话题笔记显示web版本
    /// </summary>
    public class NoteTopicResult
    {
        /// <summary>
        /// 笔记id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        /// <value></value>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public string CreatedDate { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string UserName { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }
        /// <summary>
        /// 文件夹名称
        /// </summary>
        /// <value></value>
        public string FolderName { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        /// <value></value>
        public int PraiseCount { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        /// <value></value>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        /// <value></value>
        public int CommentCount { get; set; }
        /// <summary>
        /// 转发数量
        /// </summary>
        /// <value></value>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        /// <value></value>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        /// <value></value>
        public bool IsCollect { get; set; }
    }
}